Subject: Re: linux-next: build warnings after merge of the drivers-x86 tree

From: Hans de Goede <[email-masked]>
Date: Thu, 24 Mar 2022 08:39:19 +0100

Hi,

On 3/24/22 08:33, Stephen Rothwell wrote:
> Hi all,
> 
> On Tue, 1 Mar 2022 20:16:59 +1100 Stephen Rothwell <[email-masked]> wrote:
>>
>> After merging the drivers-x86 tree, today's linux-next build (htmldocs)
>> produced these warnings:
>>
>> Documentation/ABI/testing/sysfs-driver-intel_sdsi:2: WARNING: Unexpected indentation.
>> Documentation/ABI/testing/sysfs-driver-intel_sdsi:2: WARNING: Block quote ends without a blank line; unexpected unindent.
>> Documentation/ABI/testing/sysfs-driver-intel_sdsi:2: WARNING: Definition list ends without a blank line; unexpected unindent.
>>
>> Introduced by commit
>>
>>   2546c6000430 ("platform/x86: Add Intel Software Defined Silicon driver")
> 
> I am still seeing these warnings.

I replied to your original report on March 1st, but I never got a reply
to my reply:

"""
Thank you for the report.

So I just did:

touch Documentation/ABI/testing/sysfs-driver-intel_sdsi
make htmldocs &> log

In a repo with drivers-x86/for-next checked out and checked the generated log files.
But I'm not seeing these WARNINGs.

Also 'find Documentation/output/ -name "*sdsi*"' does not output anything,
is there anything special (maybe some extra utilities?) which I need to also enable
building of htmldocs for the files in Documentation/ABI ?
"""

If someone can let me know how to reproduce these warnings I would be happy
to fix them.

Regards,

Hans